Retrieves all the locations

Request Information

URI Parameters :

None.

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

location
NameDescriptionTypeAdditional information
id

globally unique identifier

Required

_parent_id

Reference to a parent location

globally unique identifier
_parent_reference_back_office

Embedded entity "location" for parent location using ERP PK when adding/updating location

string
_parent_location

Embedded entity "location" for parent location when adding/updating location

location
project_status_id

Foreign key to project_status_id

globally unique identifier
company_id

The company owner of this location

globally unique identifier

Optionally required : company_id, company_code or company must be provided

company_code

Embedded entity "company" using ERP PK when adding/updating location

string

Optionally required : company_id, company_code or company must be provided

company

Embedded entity "company" when adding/updating location

company

Optionally required : company_id, company_code or company must be provided

name

Name of the location

string

Required

Max length: 50

extra_information

extra_information

string

Max length: 255

reference_back_office

The Id/Ref of the back office for this location. Used by Embedded entity

string

Max length: 255

street

Street

string

Max length: 100

street_number

Street number.

string

Max length: 50

zip

Zip code

string

Max length: 50

city

City

string

Max length: 50

phone

Phone number

string

Max length: 50

email

Email address

string

Max length: 250

db_country_id

Foreign key to table Country

globally unique identifier
db_country_code

CountryCode entity using international code when adding/updating company

string
street2

Additional information on the address not part of the postal address

string

Max length: 50

latitude_decimal

Decimal coordonate for the latitude. (-1;-1) means invalid and (0;0) means not already geo-encoded

decimal number
longitude_decimal

Decimal coordonate for the longitude. (-1;-1) means invalid and (0;0) means not already geo-encoded

decimal number
contact_id

Foreign key of contact for this location

globally unique identifier
contact_reference_back_office

Foreign key of contact for this location. If you don't know the GUID, use contact_reference_back_office

string
contact

Embedded entity "contact" when adding/updating location

contact
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date
id2

Internal ID (numeric). Will be used if reference_back_office is empty

integer

Response Formats

application/json, text/json

Sample:
{
  "id": "c008edce-43db-4bbd-bd82-1cb898d50580",
  "_parent_id": "e2ad7f34-b033-4bcf-be53-bdf2e6242983",
  "_parent_reference_back_office": "sample string 3",
  "project_status_id": "0e48f985-e18b-47b6-83a0-441ee16213f4",
  "company_id": "f19f0edc-a964-4deb-8412-5adc32910075",
  "company_code": "sample string 6",
  "name": "sample string 7",
  "extra_information": "sample string 8",
  "reference_back_office": "sample string 9",
  "street": "sample string 10",
  "street_number": "sample string 11",
  "zip": "sample string 12",
  "city": "sample string 13",
  "phone": "sample string 14",
  "email": "sample string 15",
  "db_country_id": "93c88939-b2d2-42a8-9176-643fe028c0cd",
  "db_country_code": "sample string 17",
  "street2": "sample string 18",
  "latitude_decimal": 1.0,
  "longitude_decimal": 1.0,
  "contact_id": "ee83f164-20a1-48c1-b10a-a75b1d8b698b",
  "contact_reference_back_office": "sample string 20",
  "contact": {
    "id": "1e0672be-cd37-4b7a-acc1-e897ee922208",
    "firstname": "sample string 2",
    "lastname": "sample string 3",
    "company_id": "6ac37d5d-4ccb-4e7e-8a20-195093321ad5",
    "company_code": "sample string 5",
    "company": {
      "id": "95a48869-73fe-4aa0-92ce-b0be1499d265",
      "is_client": true,
      "is_supplier": true,
      "archived": true,
      "name": "sample string 5",
      "notes": "sample string 6",
      "create_date": "2026-03-18T09:02:36.8175651+00:00",
      "sales_territory_id": "494946b4-a375-4cae-b30a-9ea96f7548a5",
      "sales_territory_code": "sample string 9",
      "sales_territory": {
        "id": "3f35b5fc-da17-4dfb-bf61-49aa7d9c72e6",
        "code": "sample string 2",
        "description": "sample string 3",
        "sales_organization_id": "e4535740-775e-4151-ad79-bcf3d0a59a01",
        "sales_organization_code": "sample string 5",
        "sales_organization": {
          "id": "ec1a466b-5984-419e-99bb-e1cb41d7a39f",
          "code": "sample string 2",
          "name": "sample string 3",
          "description": "sample string 4",
          "db_country_id": "d1f54483-f60d-4d74-9fca-1e489f416083",
          "db_currency_id": "834f8e2e-93dd-4067-8746-1a48d126f793",
          "db_language_id": "374ed3c0-f29c-47f4-87e1-df6a2b772c34",
          "accountancy_code": "sample string 8",
          "archived": true,
          "default_unit_of_measure_system_type": "sample string 10",
          "street": "sample string 11",
          "street2": "sample string 12",
          "street_number": "sample string 13",
          "zip": "sample string 14",
          "city": "sample string 15",
          "email": "sample string 16",
          "phone": "sample string 17",
          "fax": "sample string 18",
          "url": "sample string 19",
          "vat_reg_code": "sample string 20",
          "modified_dateutc": "2026-03-18T09:02:36.8175651+00:00"
        },
        "modified_dateutc": "2026-03-18T09:02:36.8175651+00:00"
      },
      "marketing_segment_id": "fef003e9-f5a8-458e-a81f-09cf971c26d5",
      "marketing_segment_code": "sample string 11",
      "sales_organization_id": "2f97cc7b-21b3-4da6-bb46-d5f970382e37",
      "sales_organization_code": "sample string 13",
      "company_sales_status_code": "sample string 14",
      "vat_reg_code": "sample string 15",
      "is_working_address": true,
      "parent_id": "7e9e1f6a-dd36-498c-adbf-c0c43d25ae22",
      "parent_company_code": "sample string 18",
      "phone": "sample string 19",
      "fax": "sample string 20",
      "url": "sample string 21",
      "email": "sample string 22",
      "street": "sample string 23",
      "street_number": "sample string 24",
      "city": "sample string 25",
      "zip": "sample string 26",
      "db_country_id": "5d7291bc-a265-4594-8d78-d490c072abcc",
      "db_country_code": "sample string 28",
      "feelist_id": "b3bd0087-7be1-4cb6-a2ad-c39785354ad5",
      "feelist_reference_back_office": "sample string 30",
      "feelist": {
        "id": "b6e7a108-382d-4338-8799-491aa446ce4d",
        "name": "sample string 2",
        "description": "sample string 3",
        "is_default": true,
        "default_price": 1.0,
        "sales_organization_id": "17a7e19c-6088-4b14-b065-a0fee74c6827",
        "sales_organization_code": "sample string 6",
        "reference_back_office": "sample string 7",
        "modified_dateutc": "2026-03-18T09:02:36.8175651+00:00",
        "db_currency_id": "a6771af5-3649-464b-a5f2-f829e5969492",
        "db_currency_code": "sample string 10"
      },
      "company_type_id": "f6e12a4d-4d6e-4db0-bcdc-02d6c319ca17",
      "company_type_name": "sample string 32",
      "company_type": {
        "id": "65bc16ac-4354-4a96-b22f-ed0e922dc8a0",
        "name": "sample string 2",
        "description": "sample string 3",
        "sales_organization_id": "2ea5a5dd-db99-406c-89bf-58dbf0b4db98",
        "sales_organization_code": "sample string 5"
      },
      "db_language_id": "49c573fd-f256-4afe-8586-92632dcee571",
      "db_language_code": "sample string 34",
      "code": "sample string 35",
      "article_price_label_id": "75d6f806-c296-4c43-8952-e6f934e5132b",
      "article_price_label_code": "sample string 37",
      "db_payment_method_id": "9be757a6-7470-42c0-b41a-b4a21998aa9a",
      "db_payment_method_reference_back_office": "sample string 39",
      "db_payment_methods": {
        "id": "c9dfeca6-8890-461e-98a1-f233ed354612",
        "name": "sample string 2",
        "description": "sample string 3",
        "reference_back_office": "sample string 4",
        "activated": true,
        "modified_dateutc": "2026-03-18T09:02:36.8175651+00:00"
      },
      "company_sector_id": "9b5c6d92-6c51-42c1-91b5-f308ba1eabd1",
      "company_sector_code": "sample string 41",
      "is_lead": true,
      "is_subcontractor": true,
      "latitude": 1.0,
      "longitude": 1.0,
      "street2": "sample string 44",
      "bic_code": "sample string 45",
      "specialities": "sample string 46",
      "register_number": "sample string 47",
      "register_city": "sample string 48",
      "bankaccount": "sample string 49",
      "mobile": "sample string 50",
      "service_manager_user_id": "7bba392b-ab77-4478-a59f-16394f966350",
      "service_manager_user_code": "sample string 52",
      "finance_manager_user_id": "2b6a7cee-3bfc-46b9-8468-34be819502e1",
      "finance_manager_user_code": "sample string 54",
      "account_manager_user_id": "5ad72147-5df2-4277-b246-02ce3c9e9825",
      "account_manager_user_code": "sample string 56",
      "company_status_id": "229e5b4b-4609-4322-a261-200c7a09c68e",
      "invoice_email_to": "sample string 58",
      "modified_dateutc": "2026-03-18T09:02:36.8175651+00:00",
      "id2": 60
    },
    "db_language_id": "9bda0316-5b89-41d5-84ca-024885181552",
    "db_language_code": "sample string 7",
    "db_title_id": "7855f0e7-d71c-4e01-b5b2-03aebce9d74d",
    "archived": true,
    "functions": "sample string 10",
    "e_login": "sample string 11",
    "e_password": "sample string 12",
    "notes": "sample string 13",
    "birthdate": "2026-03-18T09:02:36.8175651+00:00",
    "create_date": "2026-03-18T09:02:36.8175651+00:00",
    "phone": "sample string 16",
    "mobile": "sample string 17",
    "email": "sample string 18",
    "skype": "sample string 19",
    "private_phone": "sample string 20",
    "private_mobile": "sample string 21",
    "private_email": "sample string 22",
    "reference_back_office": "sample string 23",
    "modified_dateutc": "2026-03-18T09:02:36.8175651+00:00"
  },
  "modified_dateutc": "2026-03-18T09:02:36.8175651+00:00",
  "id2": 22
}